> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve data about a user.

> Resource used to retrieve data about a user.



## OpenAPI

````yaml /openapi/legacy/payments/payment-provider-to-bango/openapi.yaml get /user/{userIdentifier}
openapi: 3.0.0
info:
  title: Bango Payment Provider API
  description: |
    Changelog
    * 1.0.1: Initial release
  version: 1.0.1
servers:
  - description: SwaggerHub API Auto Mocking
    url: https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1
security:
  - oAuth2ClientCredentials: []
paths:
  /user/{userIdentifier}:
    get:
      tags:
        - Identity
      summary: Retrieve data about a user.
      description: Resource used to retrieve data about a user.
      operationId: GetUser
      parameters:
        - name: userIdentifier
          in: path
          required: true
          schema:
            type: string
        - name: X-RequestIdentifier
          in: header
          required: true
          description: >-
            Request unique identifier. If present, this id will be used for
            idempotency.
          schema:
            type: string
      responses:
        '200':
          description: Data about the user retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGet'
              examples:
                OK:
                  value:
                    responseCode: OK
                    responseMessage: The user was retrieved successfully.
                    user:
                      userIdentifier: '987654321'
                      userStatus: OK
                      userStatusReason: Active user
                      userDetails:
                        USER_TYPE: PRE_PAID
                        ACCOUNT_NAME: Dan
                        EMAIL: dan@somenetwork.com
                      transactionMaxLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                      userSpendLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                        type: MONTHLY
                        resetDate: 18-08-2020
                      ExtensionData:
                        some: ABC-XYZ
                        some1: 123-456-789
                USER_SUSPENDED:
                  value:
                    responseCode: OK
                    responseMessage: The user was retrieved successfully.
                    user:
                      userIdentifier: '987654321'
                      userStatus: USER_SUSPENDED
                      userStatusReason: User suspended due to suspected fraud
                      userDetails:
                        USER_TYPE: PRE_PAID
                        ACCOUNT_NAME: Dan
                        EMAIL: dan@somenetwork.com
                      transactionMaxLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                      userSpendLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                        type: MONTHLY
                        resetDate: 18-08-2020
                      ExtensionData:
                        some: ABC-XYZ
                        some1: 123-456-789
                USER_NOT_ENABLED:
                  value:
                    responseCode: OK
                    responseMessage: The user was retrieved successfully.
                    user:
                      userIdentifier: '987654321'
                      userStatus: USER_NOT_ENABLED
                      userStatusReason: User not enabled for billing
                      userDetails:
                        USER_TYPE: PRE_PAID
                        ACCOUNT_NAME: Dan
                        EMAIL: dan@somenetwork.com
                      transactionMaxLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                      userSpendLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                        type: MONTHLY
                        resetDate: 18-08-2020
                      ExtensionData:
                        some: ABC-XYZ
                        some1: 123-456-789
                CLOSED:
                  value:
                    responseCode: OK
                    responseMessage: The user was retrieved successfully.
                    user:
                      userIdentifier: '987654321'
                      userStatus: CLOSED
                      userStatusReason: User account closed
                      userDetails:
                        USER_TYPE: PRE_PAID
                        ACCOUNT_NAME: Dan
                        EMAIL: dan@somenetwork.com
                      transactionMaxLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                      userSpendLimit:
                        amount: 123.99
                        currency: GBP
                        merchantKey: GOOGLE
                        type: MONTHLY
                        resetDate: 18-08-2020
                      ExtensionData:
                        some: ABC-XYZ
                        some1: 123-456-789
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                BAD_REQUEST:
                  value:
                    responseCode: BAD_REQUEST
                    responseMessage: Invalid request.
                INVALID_USER:
                  value:
                    responseCode: INVALID_USER
                    responseMessage: Invalid User.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              example:
                responseCode: UNAUTHORIZED
                responseMessage: Invalid access credentials.
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              example:
                responseCode: NOT_FOUND
                responseMessage: Invalid user identifier.
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                INTERNAL_ERROR:
                  value:
                    responseCode: INTERNAL_ERROR
                    responseMessage: The server encountered an unexpected condition.
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              example:
                responseCode: SERVICE_UNAVAILABLE
                responseMessage: The server is undergoing maintenance.
components:
  schemas:
    UserGet:
      required:
        - responseCode
        - responseMessage
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          properties:
            user:
              allOf:
                - $ref: '#/components/schemas/User'
    Response:
      required:
        - responseCode
        - responseMessage
      type: object
      properties:
        responseCode:
          type: string
          example: OK
        responseMessage:
          type: string
          example: Success.
    User:
      required:
        - userIdentifier
        - userStatus
        - userDetails
        - transactionLimits
      type: object
      properties:
        userIdentifier:
          type: string
          example: 987654321
        userStatus:
          type: string
          enum:
            - OK
            - USER_SUSPENDED
            - USER_NOT_ENABLED
            - USER_BARRED
            - CLOSED
          example: SUSPENDED
        userStatusReason:
          type: string
          example: User suspended due to fraud.
        userDetails:
          type: object
          properties:
            USER_TYPE:
              type: string
              enum:
                - PRE_PAID
                - POST_PAID
                - HYBRID
              example: PRE_PAID
            ACCOUNT_NAME:
              type: string
              example: Dan
            EMAIL:
              type: string
              example: dan@somenetwork.com
        transactionMaxLimit:
          type: array
          items:
            properties:
              amount:
                type: number
                format: float
                description: Maximum limit for a single transaction
                example: 123.99
              currency:
                type: string
                description: Currency in ISO3
                example: GBP
              merchantKey:
                type: string
                description: Merchant's Unique Key
                example: GOOGLE
            required:
              - amount
              - currency
        userSpendLimit:
          type: array
          items:
            properties:
              amount:
                type: number
                format: float
                description: User spend limit
                example: 123.99
              currency:
                type: string
                description: Currency in ISO3
                example: GBP
              merchantKey:
                type: string
                description: Merchant's Unique Key
                example: GOOGLE
              type:
                type: string
                description: Type of limit
                enum:
                  - DAILY
                  - WEEKLY
                  - MONTHLY
                  - YEARLY
                example: MONTHLY
              resetDate:
                type: string
                example: 18-08-2020
            required:
              - amount
              - currency
              - type
        ExtensionData:
          type: object
          properties:
            some:
              type: string
              example: ABC-XYZ
            some1:
              type: string
              example: 123-456-789
  securitySchemes:
    oAuth2ClientCredentials:
      type: oauth2
      description: This API uses OAuth 2 with clientCredentials.
      flows:
        clientCredentials:
          tokenUrl: https://api.network.com/oauth2/token/
          scopes: {}

````